package com.ssj.bean.sys.homework.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "scon_homework")
public class Homework extends BaseEntity {
	

	/**
	 * 
	 */
	private static final long serialVersionUID = -6671902825565909450L;


    private String            parentId;//家长userId


    private Date              startTime; //作业开始时间


    private Date              endTime;//作业结束时间


    private Long              usedTime;//作业用时


    private String            derver;//设备号


    private Date              createTime;//创建时间
    
    private String 			  vipId;//会员卡id

    private Date              correctTime;//批改完成时间
    /**
     * 批改开始时间
     */
    private Date correctBeginTime;

    private String            subject; //科目

    private Integer               homeworkType; //作业提交来源， 0小塾，1作业吧, 2学生ipad

    /**
     * 未完成内容
     */
    private String            unFinishedContent;

    /**
     * 作业状态， 1全部完成 2部分完成 3无作业 4无纸面作业, 默认全部完成
     */
    private Integer               workType = 1;

    /**
     * 反馈表id
     */
    private String            pushId;

    /**
     * 年级
     */
    private String            grade;


    /**
     * 0未开始计时， 1正在计时中，2计时已完成，3手动修改时间
     */
    private Integer           workingType = 0;

    private Integer correctionTime = 0;

    /**
     * 补拍时间
     */
    private Date rephotoTime;
    /**
     * 分配时间
     */
    private Date allotTime;

    /**
     * 小塾反馈文本
     */
    private String conchVideoText;
    /**
     * 小塾反馈语音
     */
    private String conchVideoPath;

    /**
     * 是否已计算积分（0未计算；1已计算）
     */
    private Integer calculatedIntegral;

    /**
     * 是否已计算积分（0未计算；1已计算）
     */
    private Integer needUpdateWrongQuestionKnowledgeCount = 0;

    public Date getAllotTime() {
        return allotTime;
    }

    public void setAllotTime(Date allotTime) {
        this.allotTime = allotTime;
    }

    @Column(name = "start_time")
    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }
    @Column(name = "end_time")
    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
    @Column(name = "used_time")
    public Long getUsedTime() {
        return usedTime;
    }

    public void setUsedTime(Long usedTime) {
        this.usedTime = usedTime;
    }
    @Column(name = "derver")
    public String getDerver() {
        return derver;
    }

    public void setDerver(String derver) {
        this.derver = derver;
    }
    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    @Column(name = "parent_id")
    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }
    @Column(name = "vip_id", updatable = false)
	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

    @Column(name = "correct_time")
    public Date getCorrectTime() {
        return correctTime;
    }

    public void setCorrectTime(Date correctTime) {
        this.correctTime = correctTime;
    }

    @Column(name = "subject")
    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    @Column(name = "homework_type")
    public Integer getHomeworkType() {
        return homeworkType;
    }

    public void setHomeworkType(Integer homeworkType) {
        this.homeworkType = homeworkType;
    }

    @Column(name="unfinished_content")
    public String getUnFinishedContent() {
        return unFinishedContent;
    }

    public void setUnFinishedContent(String unFinishedContent) {
        this.unFinishedContent = unFinishedContent;
    }

    @Column(name="work_type")
    public Integer getWorkType() {
        return workType;
    }

    public void setWorkType(Integer workType) {
        this.workType = workType;
    }

    @Column(name="push_id")
    public String getPushId() {
        return pushId;
    }

    public void setPushId(String pushId) {
        this.pushId = pushId;
    }

    @Column(name="grade")
    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    @Column(name="working_type")
    public Integer getWorkingType() {
        return workingType;
    }

    public void setWorkingType(Integer workingType) {
        this.workingType = workingType;
    }

    public Integer getCorrectionTime() {
        return correctionTime;
    }

    public void setCorrectionTime(Integer correctionTime) {
        this.correctionTime = correctionTime;
    }

    public Date getRephotoTime() {
        return rephotoTime;
    }

    public void setRephotoTime(Date rephotoTime) {
        this.rephotoTime = rephotoTime;
    }

    public Date getCorrectBeginTime() {
        return correctBeginTime;
    }

    public void setCorrectBeginTime(Date correctBeginTime) {
        this.correctBeginTime = correctBeginTime;
    }

    public String getConchVideoText() {
        return conchVideoText;
    }

    public void setConchVideoText(String conchVideoText) {
        this.conchVideoText = conchVideoText;
    }

    public String getConchVideoPath() {
        return conchVideoPath;
    }

    public void setConchVideoPath(String conchVideoPath) {
        this.conchVideoPath = conchVideoPath;
    }

    public Integer getCalculatedIntegral() {
        return calculatedIntegral;
    }

    public void setCalculatedIntegral(Integer calculatedIntegral) {
        this.calculatedIntegral = calculatedIntegral;
    }

    public Integer getNeedUpdateWrongQuestionKnowledgeCount() {
        return needUpdateWrongQuestionKnowledgeCount;
    }

    public void setNeedUpdateWrongQuestionKnowledgeCount(Integer needUpdateWrongQuestionKnowledgeCount) {
        this.needUpdateWrongQuestionKnowledgeCount = needUpdateWrongQuestionKnowledgeCount;
    }
}
